Update a user
Endpoint URL
PATCH /api/v2/users/:id
Update a user
Provide the user ID and updated fields to change user info and you will receive a 204 success message.
| Name | Type | Required | Description | Example Value |
|---|---|---|---|---|
| name | string | true | Maximum character limit: 191 characters. | "John" |
| surname | string | true | Maximum character limit: 191 characters. | "Doe" |
| login | string | true | Maximum character limit: 191 characters. | "johndoe123" |
| true | It has to be a valid email format and structure. Maximum character limit: 191 characters. The email has to be unique. | "john@example.com" | ||
| description | string | true | Maximum character limit: 191 characters. | "A short bio" |
| timezone | string | true | Maximum character limit: 191 characters. | "UTC" |
| locale | string | true | Maximum character limit: 191 characters. | "en-US" |
| email_notifications | boolean | true | Enable or disable email notifications. | true |
| user_type_id | integer | true | ID representing the user's type. | 1 |
| active | boolean | true | Indicates if the account is active. | true |
| deactivation_date | date | true | Date when the account was deactivated. | "2024-01-01" |
| current_password | string | true | Maximum character limit: 191 characters. | "currentPass123" |
| password | string | true | Maximum character limit: 191 characters. | "newPass456" |
| credits | float | true | Amount of user credits. | 11 |